package com.ruoyi.back.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招生计划对象 pd_enrolldata_enter_plan
 * 
 * @author voluntary
 * @date 2022-12-09
 */
public class PdEnrolldataEnterPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dataModeType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String uCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String collegeEnrollCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String collegeName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String collegeNameText;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String chooseSubjectRule;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String eduLevel;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String collegeKey;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dataType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long year;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String batch;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String code;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String name;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String text;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String majorCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String professionName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String chooseSubject;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String chooseSubject2;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String chooseSubjectText;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long planNum;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String learnYear;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String cost;

    /** 省份 */
    @Excel(name = "省份")
    private String location;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setDataModeType(String dataModeType) 
    {
        this.dataModeType = dataModeType;
    }

    public String getDataModeType() 
    {
        return dataModeType;
    }
    public void setuCode(String uCode) 
    {
        this.uCode = uCode;
    }

    public String getuCode() 
    {
        return uCode;
    }
    public void setCollegeEnrollCode(String collegeEnrollCode) 
    {
        this.collegeEnrollCode = collegeEnrollCode;
    }

    public String getCollegeEnrollCode() 
    {
        return collegeEnrollCode;
    }
    public void setCollegeName(String collegeName) 
    {
        this.collegeName = collegeName;
    }

    public String getCollegeName() 
    {
        return collegeName;
    }
    public void setCollegeNameText(String collegeNameText) 
    {
        this.collegeNameText = collegeNameText;
    }

    public String getCollegeNameText() 
    {
        return collegeNameText;
    }
    public void setChooseSubjectRule(String chooseSubjectRule) 
    {
        this.chooseSubjectRule = chooseSubjectRule;
    }

    public String getChooseSubjectRule() 
    {
        return chooseSubjectRule;
    }
    public void setEduLevel(String eduLevel) 
    {
        this.eduLevel = eduLevel;
    }

    public String getEduLevel() 
    {
        return eduLevel;
    }
    public void setCollegeKey(String collegeKey) 
    {
        this.collegeKey = collegeKey;
    }

    public String getCollegeKey() 
    {
        return collegeKey;
    }
    public void setDataType(String dataType) 
    {
        this.dataType = dataType;
    }

    public String getDataType() 
    {
        return dataType;
    }
    public void setYear(Long year) 
    {
        this.year = year;
    }

    public Long getYear() 
    {
        return year;
    }
    public void setBatch(String batch) 
    {
        this.batch = batch;
    }

    public String getBatch() 
    {
        return batch;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setText(String text) 
    {
        this.text = text;
    }

    public String getText() 
    {
        return text;
    }
    public void setMajorCode(String majorCode) 
    {
        this.majorCode = majorCode;
    }

    public String getMajorCode() 
    {
        return majorCode;
    }
    public void setProfessionName(String professionName) 
    {
        this.professionName = professionName;
    }

    public String getProfessionName() 
    {
        return professionName;
    }
    public void setChooseSubject(String chooseSubject) 
    {
        this.chooseSubject = chooseSubject;
    }

    public String getChooseSubject() 
    {
        return chooseSubject;
    }
    public void setChooseSubject2(String chooseSubject2) 
    {
        this.chooseSubject2 = chooseSubject2;
    }

    public String getChooseSubject2() 
    {
        return chooseSubject2;
    }
    public void setChooseSubjectText(String chooseSubjectText) 
    {
        this.chooseSubjectText = chooseSubjectText;
    }

    public String getChooseSubjectText() 
    {
        return chooseSubjectText;
    }
    public void setPlanNum(Long planNum) 
    {
        this.planNum = planNum;
    }

    public Long getPlanNum() 
    {
        return planNum;
    }
    public void setLearnYear(String learnYear) 
    {
        this.learnYear = learnYear;
    }

    public String getLearnYear() 
    {
        return learnYear;
    }
    public void setCost(String cost) 
    {
        this.cost = cost;
    }

    public String getCost() 
    {
        return cost;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataModeType", getDataModeType())
            .append("uCode", getuCode())
            .append("collegeEnrollCode", getCollegeEnrollCode())
            .append("collegeName", getCollegeName())
            .append("collegeNameText", getCollegeNameText())
            .append("chooseSubjectRule", getChooseSubjectRule())
            .append("eduLevel", getEduLevel())
            .append("remark", getRemark())
            .append("collegeKey", getCollegeKey())
            .append("dataType", getDataType())
            .append("year", getYear())
            .append("batch", getBatch())
            .append("code", getCode())
            .append("name", getName())
            .append("text", getText())
            .append("majorCode", getMajorCode())
            .append("professionName", getProfessionName())
            .append("chooseSubject", getChooseSubject())
            .append("chooseSubject2", getChooseSubject2())
            .append("chooseSubjectText", getChooseSubjectText())
            .append("planNum", getPlanNum())
            .append("learnYear", getLearnYear())
            .append("cost", getCost())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("location", getLocation())
            .toString();
    }
}
